PDA

Visualizza la versione completa : [PERL] use Getopt::Std;


SkOrPiOn`87
04-05-2006, 20:19
Salve,

Devo eseguire uno script su linux, ma ho un errore su questa libreria use Getopt::Std;

Can't locate LWP/UserAgent.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.8.4 /usr/local/share/perl/5.8.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at ./bbb line 18.
BEGIN failed--compilation aborted at ./bbb line 18.


Purtroppo non sono pratico di PERl, qualcuno sa dirmi che cosa dovrei fare per risolvere? (utilizzo linux debian)


Grazie :ciauz:

shishii
06-05-2006, 21:41
Devi istallare quelle librerie.

Il metodo più semplice è utilizzare il repository CPAN da linea di comando.

apri una shell da root e digit:

> perl -MCPAN -eshell

se è la prima volta che lo esegui ti verranno poste alcune domande di configurazione, in genere le scelte di default vanno bene, bada solo a scegliere bene i server per scaricare.

fatto ciò avrai una shell particolare e digita:

cpan> install Getopt::Std

se vi sono dipendenze da soddisfare rispondi di si e titroverai le librerie istallate e compilate.

Ciao.

Loading